docker=docker
# docker=podman  # if you prefer using podman

hugo=$(docker) run -u $(shell id -u):$(shell id -g) --rm -p 127.0.0.1:1313:1313 -v .:/src hugomods/hugo
# hugo=hugo  # if you have hugo installed

PHONY += all
all: build

PHONY += theme
theme: themes/nostyleplease/README.md

themes/nostyleplease/README.md:
	git submodule init
	git submodule update

PHONY += build
build: theme
	$(hugo) build

PHONY += dev
dev: theme
	$(hugo) server

PHONY += clean
clean:
	rm -rf public

.PHONY: $(PHONY)
